Edge Rails Instructions out of date?


#1

hello all,

I currently have Rails 1.0 installed, and was hoping to get the latest
edge rails. Following the directions found at:

http://wiki.rubyonrails.com/rails/pages/EdgeRails

I ran the following command:

rake freeze_edge

The command ran without a problem. When I went to update my
application, however, by running the following command:

ruby /path/to/project/vendor/rails/railties/bin/rails .

I found a problem. railties/bin/ does not exist. I poked around
looking for what I should run instead, but nothing really fit. I’m
running windows right now, so perhaps this is a link problem? My main
machine is Suse 9.3, but I don’t have access to it at the moment.
Will try running this tonight and see what happens.

Did the instructions change, or is this a problem with how the code
was checked out of svn?

Josh


#2

Josh,

rake freeze_edge currently only exports the lib directory of each
framework component. Instead you could do the following:
cd vendor/
rm -rf rails
svn export http://dev.rubyonrails.org/svn/rails/trunk rails

Then run:
rake update_javascripts
rake add_new_scripts

There are more instructions you can follow from the wiki page as well
under “For a Project Not Under Subversion Control” and “For a Project
Under Subversion Control”.

Cody

On 12/16/05, Josh C. removed_email_address@domain.invalid wrote:

Did the instructions change, or is this a problem with how the code
was checked out of svn?

Josh


Rails mailing list
removed_email_address@domain.invalid
http://lists.rubyonrails.org/mailman/listinfo/rails


http://www.codyfauser.com


#3

Thanks Cody. That makes sense now. the rake command seemed like a
shortcut, but now I see that is not the case.

Thanks again,
Josh